# write-yaml [![NPM version](https://badge.fury.io/js/write-yaml.svg)](http://badge.fury.io/js/write-yaml)  [![Build Status](https://travis-ci.org/jonschlinkert/write-yaml.svg)](https://travis-ci.org/jonschlinkert/write-yaml)

> Write YAML. Converts JSON to YAML writes it to the specified file.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i write-yaml --save
```

## Usage

```js
var yaml = require('write-yaml');

// this is the example data we want to write to disk.
var data = {language: 'node_js', node_js: ['0.10', '0.11']};
```

### async

```js
yaml('.travis.yml', data, function(err) {
  if (err) console.log(err);
});
```

### sync

```js
yaml.sync('.travis.yml', data);
```

## result

Both result in a `.travis.yml` file with the following contents:

```yaml
language: node_js
node_js:
  - "0.10"
  - "0.11"
```

## Other data utils
* [delete](https://www.npmjs.com/package/delete): Delete files and folders and any intermediate directories if they exist (sync and async). | [homepage](https://github.com/jonschlinkert/delete)
* [plasma](https://www.npmjs.com/package/plasma): Load data from globs or files or directly from objects. | [homepage](https://github.com/jonschlinkert/plasma)
* [read-data](https://www.npmjs.com/package/read-data): Read JSON or YAML files. | [homepage](https://github.com/jonschlinkert/read-data)
* [read-json](https://www.npmjs.com/package/read-json): Reads and parses a JSON file. | [homepage](https://github.com/azer/read-json#readme)
* [read-yaml](https://www.npmjs.com/package/read-yaml): Very thin wrapper around js-yaml for directly reading in YAML files. | [homepage](https://github.com/jonschlinkert/read-yaml)
* [write-json](https://www.npmjs.com/package/write-json): Write a JSON file to disk, also creates intermediate directories in the destination path if… [more](https://www.npmjs.com/package/write-json) | [homepage](https://github.com/jonschlinkert/write-json)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/write-yaml/issues/new).

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on November 17, 2015._